http://gimel.esc.cam.ac.uk/james/rpld/src/rpld-1.2.tar.gz
[rpld.git] / INSTALL
1 ***********************************************************
2 RPLD comes with no warranty not even an implied warranty.
3
4 By using rpld, you agree to the terms and conditions set
5 forth in the LICENCE file which can be found at the top level of
6 the rpld distribution.
7 ***********************************************************
8
9 Compilation:
10         Currently rpld is known to compile on the following platforms
11         
12         Linux 2.0.x (*)
13         Linux 2.1.x (*)
14         Linux 2.2.x
15
16 (*)     You will get a console message saying "can't find module net-pf-17"
17         which you can ignore.
18
19         To compile rpld, you MUST DO "make depend" and then "make".
20         To compile the utilities/patches/fixes for the ever burgeoning list of
21         network cards type "make nics", you will need a recent version of the
22         bin86 package. I suggest you use the one from the ELKS project.
23
24 Installation:
25
26         install rpld in you system binaries directory, and copy 
27         /etc/rpld.conf.sample to /etc/rpld.conf and edit it.
28
29         run rpld somewhere in your init scripts.
30
31